[SRU] Please upgrade gnome-shell and mutter to 3.2.1

Bug #878672 reported by Jeremy Bicha
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Fix Released
Undecided
Unassigned
Oneiric
Fix Released
Undecided
Unassigned
mutter (Ubuntu)
Fix Released
Undecided
Unassigned
Oneiric
Fix Released
Undecided
Unassigned

Bug Description

This is a meta bug tracking an SRU to update gnome-shell and mutter to 3.2.1.

mutter (3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    - Allow keyboard window switching (alt-Tab) during drag-and-drop
    - Don't add invisible resize borders to fullscreen windows
    - Fix crash when toplevel windows were set to unexpected window types
    - Correct problems with windows moving when restarting or switching
      window managers
    - Fix interaction of tiled windows with multiple monitors
    - Make meta_display_unmanage_screen() public
    - Fix problem with turning off window decorations on the fly
    - Fix spurious assertion failures with themes such as Nodoka
    - Misc bug fixes

 -- Jeremy Bicha <email address hidden> Thu, 20 Oct 2011 02:29:04 -0400

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-shell 3.2.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Thu Oct 20 01:39:45 2011
SourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Jeremy Bicha (jbicha) wrote :
Jeremy Bicha (jbicha)
summary: - Please upgrade gnome-shell and mutter to 3.2.1
+ [SRU] Please upgrade gnome-shell and mutter to 3.2.1
Revision history for this message
Martin Pitt (pitti) wrote :

Mutter uploaded.

Changed in mutter (Ubuntu):
status: New → Fix Committed
Changed in mutter (Ubuntu Oneiric):
status: New → Fix Committed
Changed in gnome-shell (Ubuntu):
status: New → Fix Committed
Changed in gnome-shell (Ubuntu Oneiric):
status: New → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Hello Jeremy, or anyone else affected,

Accepted mutter into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Revision history for this message
Martin Pitt (pitti) wrote :

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Jeremy Bicha (jbicha) wrote :

The mutter upload failed to build on ARM because of that annoying debian-changes patch again. Since the UDD Mutter import is still broke, I just uploaded mutter 3.2.1-0ubuntu2 to http://people.ubuntu.com/~jbicha/mutter/ and just skipped bzr entirely.

Maybe for Precise, I'll just use a ubuntu-desktop branch for mutter & gnome-shell since it's a lot easier and more reliable.

Revision history for this message
Martin Pitt (pitti) wrote :

Thanks, reuploaded and accepted.

Revision history for this message
Dylan McCall (dylanmccall) wrote : Re: [Bug 878672] Re: [SRU] Please upgrade gnome-shell and mutter to 3.2.1

The package in proposed is working nicely so far with 64 bit.

Contact search is behaving much better, with better results and the
right pictures always being used.

Bug #848198, with some authentication prompts not appearing, is fixed
at least for the case given in that bug's description.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.2.1-0ubuntu2

---------------
mutter (3.2.1-0ubuntu2) oneiric-proposed; urgency=low

  * Drop debian/patches/debian-changes-3.2.1-0ubuntu1
    which caused ARM build failure.

mutter (3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #878672).
    - Allow keyboard window switching (alt-Tab) during drag-and-drop
    - Don't add invisible resize borders to fullscreen windows
    - Fix crash when toplevel windows were set to unexpected window types
    - Correct problems with windows moving when restarting or switching
      window managers
    - Fix interaction of tiled windows with multiple monitors
    - Make meta_display_unmanage_screen() public
    - Fix problem with turning off window decorations on the fly
    - Fix spurious assertion failures with themes such as Nodoka
    - Misc bug fixes
 -- Jeremy Bicha <email address hidden> Tue, 25 Oct 2011 12:10:34 -0400

Changed in mutter (Ubuntu):
status: Fix Committed → Fix Released
Changed in mutter (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.2.1-0ubuntu1

---------------
gnome-shell (3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  [ Jeremy Bicha ]
  * New upstream release (LP: #878672).
    - Restore the IM state on startup - if you were available in when you
      logged out, then you'll be set available again when you log in.
    - Improve searching for contacts in the overview: search more fields,
      show a more meaningful name, require that all search terms match.
    - Improve search for applications in the overview: take frequency into
      account and tweak match algorithm
    - Remove the "Show Password" switch from network password prompts, and
      move the functionality to a right-click menu
    - Add context menus with Cut/Paste options to most entries
    - Display a caps-lock warning in password entries
    - Show the state of installed extensions in Looking Glass
    - Load user extensions after system ones
    - Fix problem with many applications showing extra-large icons in
      notifications
    - Fix a problem where alt-Tab had trouble tracking the current
      application with certain applications such as Emacs.
    - Fix confusion between different users avatar images
    - Remove behavior where you could switch workspaces by bumping
      a dragged window in the overview against a screen edge; it was
      leftover and just confusing.
    - Fix long-standing bug where the Dash in the overview could end up
      mis-sized and run off the screen
    - Fix automatic launching of applications when media is inserted
    - Fix handling of vertically stacked monitors with NVIDIA drivers
    - Translation marking fixes
    - Code cleanups and warning fixes
    - Small memory leak fixes
    - On screen keyboard:
      + Show the keyboard immediately when it's turned enabled
      + Fix problem where keyboard would hide when starting to type
        in the search entry
      + Fix problem with keyboard hiding when selected accented characters
    - Misc bug fixes
  * debian/control.in:
    - Bump minimum mutter to 3.2.1
    - Drop dependency against libdconf0 and let dh_installgsettings set
      the right dependencies.
    - Depends on cups-pk-helper instead of recommends to ensure that
      the printer applet works (LP: #877367)
  * 01_favorite_apps.patch: dropped, replaced by override file.
  * New upstream release.
 -- Jeremy Bicha <email address hidden> Mon, 24 Oct 2011 06:43:05 +0200

Changed in gnome-shell (Ubuntu):
status: Fix Committed → Fix Released
Changed in gnome-shell (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers